New: Stripe & TossPayments integration guides now available →
curl --request GET \
--url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'X-Customer-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"type": "shipping",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
}curl --request GET \
--url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'X-Customer-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"type": "shipping",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}
]
}API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Storefront customer authentication token. Issued via POST /admin/customers/{id}/token. Required for accessing /storefront/customers/, /storefront/orders/.
Success
Show child attributes